# Cancel Stamps ERR

This operation cancels (voids) stamps generated for ERR (Electronic Return Receipt).
- User needs to provide *Shipment IDs in the `stampIds` array to cancel those specific ERR stamps.
- User can download the *Refund Form* having details of generated Postage.
- At once, maximum 1000 stamps can be requested for cancelation.

Endpoint: POST /api/v1/err/stamps/void
Version: 1.0.0
Security: bearerAuth

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)
    The Developer Partner ID is assigned by PB to uniquely identify a Developer's strategic business partners. If the developer is the sole business partner, this field is not required.

## Request fields (application/json):

  - `stampIds` (array)
    This is a list of StampIDs which is used for cancelling ERR postage.

## Response 200 fields (application/json):

  - `refundFormUrl` (string)
    This is the Refund Form having postage details
    Example: https://api-sandbox.pitneybowes.com/shippingservices/refund-form/210000000000000000/Stamps_Refund_Form.pdf

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: string

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceID, or if the information is missing.

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

